<%@ page language="java" contentType="text/html; charset=UTF-8"
         pageEncoding="UTF-8" %>
<%@taglib prefix="c" uri="http://java.sun.com/jsp/jstl/core" %>
<!DOCTYPE html>
<html>
<head>
    <meta charset="UTF-8">
    <title>Insert title here</title>
    <%@include file="/views/common.jsp" %>
</head>
<body>
<div class="big_box">
    <div class="left_div">
        <h1 class="h1">硫酸纸</h1> <span style="color:red;font-weight:700;"></span>
        <hr>
        <form class="layui-form">
            <div class="layui-form-item">
                <input type="radio" lay-filter="stickerKind" name="stickerKind" value="常用" title="常用">
                <%--			      	<input type="radio" lay-filter="stickerKind" name="stickerKind" value="专版打印" title="专版打印">--%>
            </div>
        </form>
        <form class="layui-form">
            <input type="hidden" name="proTypeValue" id="proTypeValue" class="layui-input" value="硫酸纸">
            <div class="ui_normal">
                <select name="kindValue" id="kindValue" lay-filter="kindValue" class="select" lay-search>
                    <option value="1">80克硫酸纸</option>
                    <option value="2">135克硫酸纸</option>
                </select>
            </div>
            <p>
                尺寸(CM/厘米) <span style="font-size:14px;color:red">输入格式: 长 * 宽</span>
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="格式:长*宽" name="size" id="size" class="layui-input" autocomplete="off">
            </div>
            <p>
                数量（张）<span style="font-size:14px;color:red" id="thickness">厚度：0.06mm</span>
            </p>
            <div class="layui-form-item ui_normal">
                <select name="count" id="count" class="select">
                    <option value="500">500</option>
                    <option value="1000">1000</option>
                    <option value="2000">2000</option>
                    <option value="3000">3000</option>
                    <option value="5000">5000</option>
                    <option value="10000">10000</option>
                    <option value="20000">20000</option>
                </select>
            </div>
            <div class="layui-form-item ui_print">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="count" id="printCount"
                       class="layui-input">
            </div>
            <p>
                款数
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入整数" autocomplete="off" name="number" id="number" value="1"
                       class="layui-input" lay-verify="number">
            </div>
            <div class="layui-form-item" id="ui_des" style="display:none;">
                <p>
                    设计内容
                </p>
                <select name="desType" lay-filter="desType" id="desType" class="select" lay-search>
                    <option value=""></option>
                    <option value="1">改序号</option>
                    <option value="2">改名字或二维码</option>
                    <option value="3">改全部内容</option>
                </select>
            </div>
            <p>
                客户旺旺
            </p>
            <div class="layui-form-item">
                <input type="text" placeholder="请输入客户旺旺号" autocomplete="off" name="wangwang" id="wangwang"
                       class="layui-input">
            </div>
            <p>工艺 <span style="font-size:14px;color:red">专版打印不能模切</span></p>
            <div class="ui_normal">
                <div class="ui_kind1">
                    <input type="radio" name="craftQie" value="裁切" title="裁切" checked="checked"/>
                    <input type="radio" name="craftQie" value="异形模切" title="异形模切"/>
                </div>
                <div class="ui_kind2" style="display: none;">
                    <input type="radio" name="craft" value="直角" title="直角" checked="checked"/>
                    <input type="radio" name="craft" value="异形" title="异形"/>
                    |&nbsp;&nbsp;&nbsp;&nbsp;
                    <input type="checkbox" name="craftTang" value="烫金" title="烫金" disabled="disabled"/>
                    |&nbsp;&nbsp;&nbsp;&nbsp;
                    <input type="checkbox" name="kind" value="彩色" title="彩色"/>
                </div>
            </div>
            <div class="ui_print" style="display: none;">
                <input type="radio" name="craftMo" value="直角" title="直角" checked="checked">
                |&nbsp;&nbsp;&nbsp;&nbsp;
                <input type="radio" name="yinbai" value="黑白" title="黑白" checked="checked"/>
                <input type="radio" name="yinbai" value="彩色" title="彩色"/>
            </div>
            <div class="layui-input-block">
                <input type="checkbox" name="craft" lay-filter="ui_craft" value="抠图" title="抠图">
                <div class="layui-inline crop" style="display:none;width: 80px">
                    <input class="layui-input" type="text" name="cropNumber">
                </div>
            </div>
            <hr>
            <div class="layui-form-item">
                <button class="layui-btn" lay-submit="" lay-filter="acount_btn">计算</button>
                <button type="reset" class="layui-btn layui-btn-primary">重置</button>
            </div>
            <h2>计算结果-
                <button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult"
                        onclick="copyResult()">点击复制
                </button>
            </h2>
            <div>
                <textarea rows="11" cols="75" id="span_result" readonly="readonly"></textarea>
                <%@include file="../acountExpressFee.jsp" %>
            </div>
            <!--<h2>下单备注-<button type="button" class="layui-btn layui-btn-primary layui-btn-sm copyResult" onclick="copyBz()">点击复制</button></h2>
            <div>
                <textarea rows="5" cols="75" id="bz_result" readonly="readonly"></textarea>
            </div>-->
            <div>
                <table class="layui-hide" id="priceTable" lay-filter="priceTable"></table>
            </div>
        </form>
    </div>
    <div class="right_div">
        <div class="layui-carousel" id="test1">
            <div carousel-item id="carousel"></div>
            <br>
            <div id="remark" style="font-size:20px;color:red"></div>
        </div>
    </div>
</div>
</body>
<script src="../../js/carousel.js" charset="utf-8"></script>
<%@include file="/views/copyResult.jsp" %>
<script>
    function setNumberOptions() {
        let html = '';
        if (window.parent.system_isPdd) {
            html = `<option value=""></option>
                <option value="1">改序号</option>
                <option value="2">改名字</option>
                <option value="3">改二维码</option>
                <option value="4">改图片</option>
                <option value="5">改内容模板相同</option>
                <option value="6" selected>改内容模板完全不同</option>`;
        } else {
            html = `<option value=""></option>
                <option value="1">改序号</option>
                <option value="6" selected>改内容模板完全不同</option>`;
        }
        $("#desType").empty().append(html);
    }

    function setThickness(val) {
        let text = "厚度：0.06mm";
        if (val == 2) {
            text = "厚度：0.3mm"
        }
        $("#thickness").text(text);
    }

    layui.use(['table', 'form', 'carousel'], function () {
        var form = layui.form; //只有执行了这一步，部分表单元素才会自动修饰成功
        var carousel = layui.carousel;
        var table = layui.table;
        //建造实例
        ins = carousel.render({});

        // 监听count输入框
        $(function () {
            //输入框的值改变时触发
            /*$("#size").on("input",function(e){
                //获取input输入的值
                if($('input[name="kindValue"]:checked').val() == "2"){
                    if(e.delegateTarget.value.indexOf(".") != -1){
                        layer.msg('请输入整数尺寸!',{offset:['300px','300px']},function(){});
                    }
                }
            });*/
        });

        form.on('radio(stickerKind)', function (stickerKindData) {
            stickerKind = stickerKindData.value;
            if (stickerKind == "常用") {
                $(".ui_normal").show();
                $(".ui_normal").find(":input").attr("disabled", false);
                $(".ui_print").hide();
                $(".ui_print").find(":input").attr("disabled", false);
            } else {
                $(".ui_normal").hide();
                $(".ui_normal").find(":input").attr("disabled", true);
                $(".ui_print").show();
                $(".ui_print").find(":input").attr("disabled", false);
                $("input[name='craftTang']").prop("checked", false);
                $("input[name='kind']").prop("checked", false);
                $("input[name='craft']").prop("checked", false);
            }
        });

        $("#number").on("input", function (e) {
            var number = e.delegateTarget.value;
            if (number > 1 && $("input[name='stickerKind']:checked").val() == "专版打印") {
                $("#ui_des").show();
            } else {
                $("#ui_des").hide();
            }
        });

        form.on('select(kindValue)', function (data) {
            if (data.value == 1) {
                $(".ui_kind1").show();
                $(".ui_kind1").find(":input").attr("disabled", false);
                $(".ui_kind2").hide();
                $(".ui_kind2").find(":input").attr("disabled", true);
                $("input[name='craft']").prop("checked", false);
            } else {
                $(".ui_kind2").show();
                $(".ui_kind2").find(":input").attr("disabled", false);
                $(".ui_kind1").hide();
                $(".ui_kind1").find(":input").attr("disabled", true);
            }
            setThickness(data.value);
            form.render();
        });

        form.on('checkbox(switch)', function (data) {
            var html = " ";
            var remark = " ";

            // 清空轮播图
            $("#carousel").empty();
            $("#remark").empty();
            $.ajax({
                url: "${pageContext.request.contextPath}/getImgs",
                type: "GET",
                data: {
                    proTypeValue: $("#proTypeValue").val(),
                    //kindValue : $("#kindValue1").val()
                },
                success: function (result) {
                    for (let i = 0; i < result.length; i++) {
                        html += '<div><img style="width:' + result[0].imgWidth + 'px" src="' + result[i].imgUrl + '"></div>';
                    }
                    remark += '<div><span>' + content + '<span/></div>';
                    $("#carousel").append(html);
                    $("#remark").append(remark);
                    // 如果没有轮播图就隐藏
                    if (result.length == 0) {
                        document.getElementById("test1").style.display = "none";   //隐藏
                    } else {
                        document.getElementById("test1").style.display = "block";   //显示
                        ins.reload({
                            elem: '#test1',
                            width: result[0].imgWidth,  //设置容器宽度
                            height: result[0].imgHeight
                        });
                    }
                }
            });
        });
        form.on('checkbox(ui_craft)', function (data) {
            let craft_list = [];
            let kindValue = $('input[name="kindValue"]:checked').val();
            craft_list.push($("select[name='craft'] option:selected").val());
            $("input[name='craft']:checked").each(function () {
                if (!$(this).is(':disabled')) {
                    craft_list.push($(this).val());
                }
            });

            if (data.value == '抠图') {
                $(".crop").hide();
                $(".crop").find("input").prop("disabled", true)
                if (data.elem.checked) {
                    $(".crop").show();
                    $(".crop").find("input").prop("disabled", false)
                }
            }
            form.render();
        })

        // 点击计算，计算价格
        form.on('submit(acount_btn)', function (data) {
            var craft = $('input[name="craft"]:checked').val()
            var kind = [$('input[name="kind"]:checked').val()];
            var tangjin = [$('input[name="craftTang"]:checked').val()];
            var number = $("#number").val();
            var size = $("#size").val();
            var stickerKind = [$('input[name="stickerKind"]:checked').val()];
            var kindValue = $("#kindValue").val();
            var count = "";
            if (stickerKind == "常用") {
                count = $("#count").val();
            } else {
                count = $("#printCount").val();
            }
            if (!size) {
                layer.msg('请填写尺寸！', {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            var length = size.split("*")[0];
            var width = size.split("*")[1];
            if ((length < 5 || width < 5 && length < 3 || width < 3)) {
                layer.msg("尺寸不能小于5*3cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if ((length > 42 || width > 42 && length > 28.5 || width > 28.5)) {
                layer.msg("尺寸不能大于42*28.5 cm", {offset: ['300px', '300px']}, function () {
                });
                return false;
            }
            if (number > 1 && stickerKind == "专版打印") {
                if ($("#desType option:selected").val() == "" || $("#desType option:selected").val() == null) {
                    layer.msg('请选择设计内容！', {offset: ['300px', '300px']}, function () {
                    });
                    return false;
                }
            }

            var kindData = {
                1: "80克硫酸纸",
                2: "135克硫酸纸"
            }
            kindValue = kindData[kindValue];
            $.ajax({
                url: "${path}/getThanSum",
                type: "GET",
                data: $(".big_box form").serialize(),
                success: function (result) {
                    if (result.code == 100) {
                        layer.msg(result.msg, {offset: ['300px', '300px']}, function () {
                        });
                        return false;
                    }
                    var data = result.data.proList;
                    var span_result = '硫酸纸  - ' + kindValue + '-' + size + ' CM';
                    let arr = []
                    $("input[name='craft']:checked").each(function () {
                        if (!$(this).is("disabled")) {
                            if ($(this).val() == "抠图") {
                                arr.push($(this).val() + $("input[name='cropNumber']").val());
                                return;
                            }
                        }
                    })
                    if (stickerKind == "专版打印") {
                        kindValue = "135克硫酸纸";
                        arr.push('直角')
                        arr.push($("input[name='yinbai']:checked").val())
                    } else {
                        if (kindValue != "80克硫酸纸") {
                            arr.push(craft)
                            if (tangjin != "") {
                                arr.push(tangjin)
                            }
                            if (kind != "") {
                                arr.push(kind)
                            }
                        } else {
                            arr.push($("input[name='craftQie']:checked").val())
                        }
                    }
                    if (arr.length > 0) {
                        span_result += "工艺：" + arr.join(",") + '\n';
                    }
                    if (number > 1) {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 各' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    } else {
                        for (let i = 0; i < data.length; i++) {
                            span_result += number + '款 ' + data[i].count + "张，共" + data[i].price + "元" + '\n'
                            data[i].number = number;
                        }
                    }
                    span_result += '包邮，免费设计呢~（偏远地区需补邮费）'
                    if (window.parent.system_isGai) {
                        span_result += "\n\n亲 现在下单可以参加淘宝活动8.5折折扣哦!"
                    }
                    addLog(span_result);
                    $("#span_result").val(span_result);

                    craft += tangjin;
                    if (kind == "") {
                        kind = "单色";
                    }
                    getRemark($("#proTypeValue").val(), size, count + "张", kind, number, craft, "");
                    //计算完自动复制文本
                    var e = document.getElementById("span_result");//对象是content
                    if (e.value != "") {
                        e.select();//选择对象
                        document.execCommand("Copy");//执行浏览器复制命令
                    }

                    //生成表格
                    table.render({
                        elem: '#priceTable',
                        even: true, //隔行变色
                        data: data, // 赋值已知数据
                        width: 500,
                        cols: [[
                            {
                                field: 'number',
                                width: '12%',
                                align: "center",
                                title: '款数'
                            }, {
                                field: 'count',
                                width: '16%',
                                align: "center",
                                title: '数量'
                            }, {
                                field: 'price',
                                width: '16%',
                                align: "center",
                                title: '报价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '16%',
                                title: '折扣价'
                            }, {
                                field: 'wangwang',
                                align: "center",
                                width: '19%',
                                title: '跳楼价'
                            }, {
                                field: 'weight',
                                width: '21%',
                                align: "center",
                                title: '重量（kg）'
                            }
                        ]],
                        done: function () {
                        }
                    });
                }
            });
            return false;
        });
    });
</script>
</html>